View Issue Details

IDProjectCategoryView StatusLast Update
0001658PluginsTemporary panelpublic2011-03-22 03:03
ReportershmuelAssigned Toalexy 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0001658: Падение плагина при прерывании операции
Description[Far2 build 1781]
Создаём файл 1.tmp - список файлов, в UTF-16LE, достаточно большой (5-10 тыс. строк).

Запускаем:
    tmp: -menu 1.tmp

Видим:

╔════════ Temporary panel ═════════╗
║ Sending files to temporary panel ║
╚══════════════════════════════════╝

Нажимаем Esc.

╔═ Operation has been interrupted ═╗
║ Do you really want to cancel it? ║
╟──────────────────────────────────╢
║ { Yes } [ No ] ║
╚══════════════════════════════════╝

Нажимаем Y.

╔═══════════════════ Exception occurred ═══════════════════╗
║ Exception: Access violation (read from 0x030D001F) ║
║ Address: 0x7C937808 ║
║ Function: OpenPluginW ║
║ Module: m Files\Far2\Plugins\TmpPanel\TmpPanel.dll ║
╟──────────────────────────────────────────────────────────╢
║ { Unload plugin } [ Debug ] ║
╚══════════════════════════════════════════════════════════╝
TagsNo tags attached.

Activities

shmuel

2011-01-13 21:05

developer   bugnote:0006106

Last edited: 2011-01-16 21:49

View 2 revisions

Дополнительная информация и уточнения:

1. Для воспроизведения неисправности должна быть установлена опция плагина "Copy folder contents".

2. В качестве файла для проверки можно взять и файл tree2.far из корневой папки какого-либо диска, при условии, что он содержит достаточно (> 5000) строк.

shmuel

2011-01-16 17:05

developer  

TmpClass.cpp.diff (384 bytes)
Index: TmpClass.cpp
===================================================================
--- TmpClass.cpp	(revision 5446)
+++ TmpClass.cpp	(working copy)
@@ -170,6 +170,7 @@
     if(!Info.GetDirList(Path, &DirItems, &DirItemsNumber))
     {
       FreePanelItems(TmpPanelItem, TmpItemsNumber);
+      TmpPanelItem=NULL;
       TmpItemsNumber=0;
       return FALSE;
     }
TmpClass.cpp.diff (384 bytes)

shmuel

2011-01-16 17:06

developer   bugnote:0006126

Приложен фикс: TmpClass.cpp.diff

alexy

2011-03-22 03:03

administrator   bugnote:0006551

79

Issue History

Date Modified Username Field Change
2011-01-13 15:21 shmuel New Issue
2011-01-13 21:05 shmuel Note Added: 0006106
2011-01-16 17:05 shmuel File Added: TmpClass.cpp.diff
2011-01-16 17:06 shmuel Note Added: 0006126
2011-01-16 21:49 shmuel Note Edited: 0006106 View Revisions
2011-03-22 03:00 alexy Project Far Manager => Plugins
2011-03-22 03:00 alexy Assigned To => alexy
2011-03-22 03:00 alexy Status new => assigned
2011-03-22 03:03 alexy Note Added: 0006551
2011-03-22 03:03 alexy Status assigned => closed
2011-03-22 03:03 alexy Resolution open => fixed
2011-03-22 03:03 alexy Fixed in Version => 2.0